Page MenuHomePhabricator

Stop tofu detection and applying webfonts
Closed, ResolvedPublic

Description

Language team has decided to reduce the scope of webfonts feature in ULS. As part of this plan, tofu detection and applying autonym font and other fonts (irrespective of user preference) has to stop and we should deliver fonts only based on user preference.

See also T135464: Reduce and stop usage of autonym font.

Event Timeline

santhosh created this task.May 17 2016, 4:21 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 17 2016, 4:21 AM

Change 288920 had a related patch set uploaded (by Santhosh):
Stop tofu detection and usage of autonym font

https://gerrit.wikimedia.org/r/288920

santhosh triaged this task as Medium priority.May 17 2016, 4:22 AM
santhosh moved this task from Backlog to In Review on the Language-Q4-2016-Sprint 3 board.
santhosh claimed this task.May 17 2016, 4:25 AM
santhosh moved this task from In Review to In Progress on the Language-Q4-2016-Sprint 3 board.
Nikerabbit updated the task description. (Show Details)May 17 2016, 8:24 AM

Please formulate this task in a way that doesn't overlap T135464. My comment focuses on the question: when to apply a webfont corresponding to the current wiki's language?

we should deliver fonts only based on user preference

What do you mean exactly? There are two possible interpretations, which are radically different:

By user preference I mean - the explicit user preference(users choose a font using Display settings panel of ULS) and implicit user preference(for some languages there is a default font)

Are you saying that the answer to the question "when to apply a webfont corresponding to the current wiki's language?" is "don't change anything in that regard"?

Arrbee added a subscriber: Arrbee.

Moving out of current release

Nemo_bis removed a subscriber: Nemo_bis.Jun 15 2016, 6:54 PM
Danny_B removed a subscriber: Language-Team.

Change 288920 abandoned by Santhosh:
WIP Stop tofu detection and usage of autonym font

Reason:
Not in priority at least for now.

https://gerrit.wikimedia.org/r/288920

Restricted Application added a subscriber: jeblad. · View Herald TranscriptAug 25 2017, 6:46 AM

Change 390945 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/UniversalLanguageSelector@master] Remove autonym font and its usage

https://gerrit.wikimedia.org/r/390945

Change 390945 merged by jenkins-bot:
[mediawiki/extensions/UniversalLanguageSelector@master] Remove autonym font and its usage

https://gerrit.wikimedia.org/r/390945

Arrbee moved this task from Backlog to QA on the Language-2017-Oct-Dec board.Nov 14 2017, 7:16 AM

Checked in cx-testing - the display of languages in ULS for possible regressions or discrepancies - all looks good.

Etonkovidova closed this task as Resolved.Nov 17 2017, 12:58 AM
Nikerabbit moved this task from QA to Done on the Language-2017-Oct-Dec board.Nov 19 2017, 7:49 PM